Package com.xebialabs.xlrelease.domain.events

## Class ReleaseRetryingAction$

- java.lang.Object
- - scala.runtime.AbstractFunction1<java.lang.String,​ReleaseRetryingAction>
  - - com.xebialabs.xlrelease.domain.events.ReleaseRetryingAction$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function1<java.lang.String,​ReleaseRetryingAction>`

      public class ReleaseRetryingAction$
      extends scala.runtime.AbstractFunction1<java.lang.String,​ReleaseRetryingAction>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface scala.Function1

      `scala.Function1.UnliftOps<A extends java.lang.Object,​B extends java.lang.Object>, scala.Function1.UnliftOps$`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReleaseRetryingAction$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseRetryingAction$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReleaseRetryingAction` | `apply​(java.lang.String releaseId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<java.lang.String>` | `unapply​(ReleaseRetryingAction x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction1

      `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ReleaseRetryingAction$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ReleaseRetryingAction$

          public ReleaseRetryingAction$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function1<java.lang.String,​ReleaseRetryingAction>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction1<java.lang.String,​ReleaseRetryingAction>`

    - #### apply

          public ReleaseRetryingAction apply​(java.lang.String releaseId)

      Specified by:
        `apply` in interface `scala.Function1<java.lang.String,​ReleaseRetryingAction>`

    - #### unapply

          public scala.Option<java.lang.String> unapply​(ReleaseRetryingAction x$0)